Skip to content

Doubao video generation ​

Submit async video tasks with Doubao models.

http
POST /v1/videos

Available models ​

ModelDescription
Seedance 1.0 Pro, 480p
Seedance 1.0 Pro, 720p
Seedance 1.0 Pro, 1080p
Seedance 1.5 Pro, 480p
Seedance 1.5 Pro, 720p
Seedance 1.5 Pro, 1080p

Headers ​

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example: .

Request body ​

NameTypeRequiredDescription
stringYesModel name. See Available models above.
stringYesPrompt. Text description for the video. Supports Chinese and English.
fileNoFirst-frame image. Upload a single image file for first-frame-to-video. Supports png, jpeg, jpg, webp.
fileNoLast-frame image. Upload a single image file for first-and-last-frame-to-video. Supports png, jpeg, jpg, webp.
stringNoVideo aspect ratio. Options: , , , , , , (match uploaded image aspect ratio), (auto-select the best aspect ratio from the uploaded image).
integerNoVideo duration in seconds. Range and .

Request example ​

bash
curl -X POST https://octopusx.ai/v1/videos \
  -H "Authorization: Bearer <token>" \
  -F "model=doubao-seedance-1-5-pro_720p" \
  -F "prompt=A cat nodding to music in heavy rain" \
  -F "size=4:3" \
  -F "seconds=4"
bash
curl -X POST https://octopusx.ai/v1/videos \
  -H "Authorization: Bearer <token>" \
  -F "model=doubao-seedance-1-5-pro_720p" \
  -F "prompt=Make the person walk forward and smile" \
  -F "size=16:9" \
  -F "seconds=5" \
  -F "first_frame_image=@/path/to/first-frame.png"
bash
curl -X POST https://octopusx.ai/v1/videos \
  -H "Authorization: Bearer <token>" \
  -F "model=doubao-seedance-1-5-pro_720p" \
  -F "prompt=Smooth transition" \
  -F "size=9:16" \
  -F "seconds=5" \
  -F "first_frame_image=@/path/to/first-frame.png" \
  -F "last_frame_image=@/path/to/last-frame.png"

Response example ​

json
{
  "id": "video_bbfbc1d2-ab22-44ca-b9dd-bc16983acac2",
  "object": "video",
  "model": "doubao-seedance-1-5-pro_720p",
  "status": "queued",
  "progress": 0,
  "created_at": 1761635478,
  "size": "720x720"
}

Response fields ​

NameTypeDescription
stringTask ID.
stringAlways .
stringModel name.
stringTask status. Options: (queued), (processing), (completed), (failed), (cancelled).
integerProgress percentage (0-100).
integerCreation time (Unix timestamp).
stringVideo size, for example .